> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Through Text Content

<Warning>
  This page does not apply to installs made in 2025 or later of the Depict Shopify apps
</Warning>


## OpenAPI

````yaml get /v2/search/content
openapi: 3.1.0
info:
  title: Depict API
  version: '1.0'
servers: []
security: []
paths:
  /v2/search/content:
    get:
      tags:
        - Search (v2)
      summary: Search Through Text Content
      description: >-
        (EXPERIMENTAL) Search through text content. The indexed text content is
        configurable.


        Example response:

        WIP

        </pre>
      operationId: Search_through_text_content_v2_search_content_get
      parameters:
        - name: tenant
          in: query
          required: true
          schema:
            type: string
            title: Tenant
        - name: market
          in: query
          required: true
          schema:
            type: string
            title: Market
        - name: locale
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Locale
        - name: query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Query
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 1
              - type: 'null'
            title: User Id
        - name: session_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 1
              - type: 'null'
            title: Session Id
        - name: dsid
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 1
              - type: 'null'
            title: Dsid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContentSearchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
        - APIKeyCookie: []
components:
  schemas:
    ContentSearchResponse:
      properties:
        content_request_id:
          type: string
          title: Content Request Id
        links:
          items:
            $ref: '#/components/schemas/ContentLink'
          type: array
          title: Links
          description: List of links to content pages that match the search query.
      additionalProperties: false
      type: object
      required:
        - content_request_id
        - links
      title: ContentSearchResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ContentLink:
      properties:
        type:
          const: content_link
          title: Type
          default: content_link
        title:
          type: string
          title: Title
          description: Title for the content page
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Short human-readable description for the content page
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
          description: URL for the content page image
        page_url:
          type: string
          title: Page Url
          description: URL for the content page
        highlights:
          items:
            $ref: '#/components/schemas/TypesenseHighlights'
          type: array
          title: Highlights
          description: Highlights that show why the search query matched this content page
      additionalProperties: false
      type: object
      required:
        - title
        - description
        - page_url
      title: ContentLink
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TypesenseHighlights:
      properties:
        field:
          type: string
          title: Field
        snippet:
          type: string
          title: Snippet
        matched_tokens:
          items:
            type: string
          type: array
          title: Matched Tokens
      additionalProperties: false
      type: object
      required:
        - field
        - snippet
        - matched_tokens
      title: TypesenseHighlights
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: X-API-KEY

````